Subject: [16NG] What is your opinions regarding to IEEE802.16?

From: "김상언" <[email-masked]>
Date: Mon, 16 Apr 2007 11:06:43 +0900

Dear Authors of the RFC 4840,

IEEE 802.16 specifies several convergence sublayer (CS) including ATM, IPv4
packet, IPv6 packet, IPv4 over EThernet, IPv6 over Ethernet, IPv4 over VLAN,
IPv6 over VLAN and more.
Also, it should be used management plane to identify CS because 802.16 MAC
frame does not have a CS identification field.

Whereas, IP family uses its header to identify for the upper layer service.
For example, Ethernet type at the Ethernet header is used 0X0800 and 0X86DD
for IPv4, IPv6 respectively.
The protocol field at the IP header uses for identification of the upper
layer protocol, in reference at
http://www.iana.org/assignments/protocol-numbers

If the IEEE802.16 systems are implemented for IPv4 packet only. It doesn't
matter.
When we try to dual stack, both native IPv4 over IEEE802.16 and native IPv6
IEEE802.16, it is more difficult than Ethernet based IP due to absence of CS
type at the 16 MAC header.

Even if connection identifier (CID) field of 16 header can be used between
base station and subscriber station, multiple CS should be processed at the
BS.
Also, prefix model IP family over IEEE802.16 such as shared prefix and
per-MS prefix impacts on network architecture and implementation.

Which is preferred prefix model?
Are you agree to require dual stack over IEEE 802.16 system (may be stupid
question, but is is possible IPv6 over IPv4 tunnel for IPv6 packet
delivery) ?
What is your preferred CS ? and Why?

thanks

------------------------------------------------
Sang-Eon Kim
Senior Researcher
Infra. Lab., KT
139-791, Woomyeon-dong, Seocho-gu, Seoul, Korea

Voice: +82-2-526-6117
Mobile: +82-10-3073-4084
E-mail: [email-masked]
------------------------------------------------
_______________________________________________
16NG mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/16ng

---

From: qinxia <[email-masked]>
Date: Mon, 16 Apr 2007 13:49:26 +0800

Hello,

Please see inline.

Best regards

Alice  

> -----Original Message-----
> From: ??? [mailto:[email-masked]] 
> Sent: Monday, April 16, 2007 10:07 AM
> To: [email-masked]; [email-masked]; 
> [email-masked]
> Cc: [email-masked]
> Subject: [16NG] What is your opinions regarding to IEEE802.16?
> 
> IEEE 802.16 specifies several convergence sublayer (CS) 
> including ATM, IPv4 packet, IPv6 packet, IPv4 over EThernet, 
> IPv6 over Ethernet, IPv4 over VLAN, IPv6 over VLAN and more.
> Also, it should be used management plane to identify CS 
> because 802.16 MAC frame does not have a CS identification field.
>  
> For example, Ethernet type at the Ethernet header is used 
> 0X0800 and 0X86DD for IPv4, IPv6 respectively. 
> The protocol field at the IP header uses for identification 
> of the upper layer protocol, in reference at 
> If the IEEE802.16 systems are implemented for IPv4 packet 
> only. It doesn't matter.
> When we try to dual stack, both native IPv4 over IEEE802.16 
> and native IPv6 IEEE802.16, it is more difficult than 
> Ethernet based IP due to absence of CS type at the 16 MAC header.
>  
==> why does MAC header need to identify the CS type of frame?
Even though CS type is indicated on the very  MAC header, the frame is still needed
to be classified with classifier due to QoS support.
The inner information such as IP 5 turple is still needed sometimes.

> Even if connection identifier (CID) field of 16 header can be 
> used between base station and subscriber station, multiple CS 
> should be processed at the BS.
> Also, prefix model IP family over IEEE802.16 such as shared 
> prefix and per-MS prefix impacts on network architecture and 
> implementation.
>  

> Are you agree to require dual stack over IEEE 802.16 system 
> (may be stupid question, but is is possible IPv6 over IPv4 
> tunnel for IPv6 packet delivery) ?

---

From: "김상언" <[email-masked]>
Date: Mon, 16 Apr 2007 20:03:52 +0900

> The inner information such as IP 5 turple is still needed sometimes.

According to the section 3.1 of RFC4840, it is recommended that "Link-layer
protocols should enable network packets (IPv4, IPv6, ARP, etc.) to be
demultiplexed in the link layer"

Voice: +82-2-526-6117
Mobile: +82-10-3073-4084

---

From: "John.zhao" <[email-masked]>
Date: Tue, 17 Apr 2007 10:31:36 +0800

Hi folks

       See comments inline.

       Best Rgds,

Thanks,

John.zhao

> Subject: [16NG] What is your opinions regarding to IEEE802.16 ?
>

[zhao] I think IEEE802.16 is ready to provide only one kind of CS simultaneously to one MN.

According to the section 3.1 of RFC4840, it is recommended that "Link-layer protocols should enable network packets (IPv4, IPv6, ARP, etc.) to be demultiplexed in the link layer"

[zhao] The IEEE802.16 provide the Classifier mechanism to do the distinguishment. 

> What is your preferred CS ? and Why?

[zhao]Do you plan to provide the IPv4 and IPv6 support simultaneously.

Before we mention about how to do this, I think it is the best to clarify why we need to do this.

Voice: +82-2-526-6117
Mobile: +82-10-3073-4084
E-mail: [email-masked]  <mailto:[email-masked]> 
------------------------------------------------